import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:gifunavi/model/game_state_instance.dart';

final gameStateNotifierProvider =
    StateNotifierProvider<GameStaticState, GameInsStatetance>((ref) {
  return GameStaticState();
});

class GameStaticState extends StateNotifier<GameInsStatetance> {
  GameStaticState() : super(GameInsStatetance());

  @override
  GameInsStatetance get state => super.state;

  void startGame(GameInsStatetance gi) {
    state = gi;
  }

  void doCheckin() {}

  void makeGoal() {}
}
